# --- Fonts ---
font_family      FiraCode Nerd Font Mono
bold_font        auto
italic_font      auto
bold_italic_font auto
font_size        13.0
disable_ligatures never

cursor_shape     block
cursor           #00FF00
cursor_text_color #111111
cursor_blink_interval 0.5

# --- Window Layout ---
window_padding_width 10
confirm_os_window_close 0
remember_window_size  yes
initial_width  1000
initial_height 650
window_border_width 1pt
active_border_color #00ff00

# --- Tab Bar ---
tab_bar_edge            top
tab_bar_style           powerline
tab_powerline_style     slanted
active_tab_font_style   bold
active_tab_foreground   #000000
active_tab_background   #00FF00
inactive_tab_foreground #E0E0E0
inactive_tab_background #333333

map ctrl+shift+t new_tab
map ctrl+shift+w close_tab
map ctrl+shift+left prev_tab
map ctrl+shift+right next_tab

# --- Performance & Mouse ---
copy_on_select   yes
detect_urls      yes

# --- Bell ---
enable_audio_bell no

# --- Clipboard ---
map ctrl+shift+c copy_to_clipboard
map ctrl+shift+v paste_from_clipboard
mouse_map middle release ungrabbed paste_from_selection